Send a POST through a client key
curl --request POST \
--url https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: */*' \
--data valueimport requests
url = "https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}"
payload = "value"
headers = {
"Authorization": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': '*/*'},
body: 'value'
};
fetch('https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "value",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}"
payload := strings.NewReader("value")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}")
.header("Authorization", "<api-key>")
.header("Content-Type", "*/*")
.body("value")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = '*/*'
request.body = "value"
response = http.request(request)
puts response.read_bodySecurity Keys
Send a POST through a client key
Sends one request through a key that can send requests, such as a proxy key. The path after proxy/ and the query are appended to the key’s base URL. The caller’s headers are forwarded, except hop-by-hop headers and the caller’s Extole credentials: Authorization, Cookie and the access_token query parameter. The key adds its own credential, which is never returned. The response is the partner’s status, headers and body. A request the key refuses is not sent, and nothing is retried.
POST
https://api.extole.io
/
v2
/
settings
/
security
/
keys
/
{key_id}
/
proxy
/
{path}
Send a POST through a client key
curl --request POST \
--url https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: */*' \
--data valueimport requests
url = "https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}"
payload = "value"
headers = {
"Authorization": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': '*/*'},
body: 'value'
};
fetch('https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "value",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}"
payload := strings.NewReader("value")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}")
.header("Authorization", "<api-key>")
.header("Content-Type", "*/*")
.body("value")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.extole.io/v2/settings/security/keys/{key_id}/proxy/{path}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = '*/*'
request.body = "value"
response = http.request(request)
puts response.read_bodyWas this page helpful?
